export const __esModule: boolean;
/**
 * @packageDocumentation
 * @module AccountUIContext
 */
/**
 * Implementation of actions for altering the global [[AccountUIState]] via [[AuthUIActions]] calls.
 * Uses actions injected into the app to make network calls, and then updates the global state accordingly
 * using by dispatching [[AccountActions]] to the [[defaultAccountUIReducer]].
 *
 * @param injectedActions Implementation of network activities.
 * @param dispatch For updating reducer upon completion of network activities.
 */
export function AccountActionsCreator(injectedActions: any, dispatch: any): () => {
    initiateSecurity: () => Promise<void>;
    logIn: (email: any, password: any, rememberMe: any) => Promise<void>;
    forgotPassword: (email: any) => Promise<void>;
    verifyResetCode: (code: any, email: any) => Promise<void>;
    setPassword: (code: any, password: any, email: any) => Promise<void>;
    changePassword: any;
};
