export const __esModule: boolean;
export const AccountActions: {
    loginStarted: (email: any, transitId: any) => {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    loginSucceeded: (email: any, transitId: any) => {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    loginFailed: (email: any, transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            email: any;
            transitId: any;
            errorMessage: any;
        };
    };
    resetLogin: () => {
        type: string;
    };
    logout: () => {
        type: string;
    };
    resetPasswordReset: () => {
        type: string;
    };
    resetPasswordStarted: (email: any, transitId: any) => {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    resetPasswordSucceeded: (email: any, transitId: any) => {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    resetPasswordFailed: (email: any, transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            email: any;
            transitId: any;
            errorMessage: any;
        };
    };
    verifyResetCodeReset: () => {
        type: string;
    };
    verifyResetCodeStarted: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    verifyResetCodeSucceeded: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    verifyResetCodeFailed: (transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    setPasswordReset: () => {
        type: string;
    };
    setPasswordStarted: (transitId: any) => {
        /**
         * Hook for using the global [[AccountUIActions]] actions (i.e. logIn, forgotPassword, etc.) which change the global [[AccountUIState]].
         *
         * @category Hooks
         */
        type: string;
        payload: {
            transitId: any;
        };
    };
    setPasswordSucceeded: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    setPasswordFailed: (transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
};
export const AccountUIActionContext: _react.Context<null>;
export const AccountUIStateContext: _react.Context<{
    userToken: null;
    email: null;
    login: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    forgotPassword: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    setPassword: {
        setPasswordTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        verifyResetCodeTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
    };
}>;
import _react = require("react");
/**
 * AccountUIStateContext and AccountUIActionContext provide access to global state and actions for account related information (login, forgot password, verify reset password code, etc.).
 *
 * @packageDocumentation
 * @module AccountUIContext
 * @preferred
 * @internal
 */
/**
 * Hook for using the global account state for account-related global [[AccountUIState]] state changes (i.e. login, forgot password, set password, verify reset code).
 *
 * @category Hooks
 */
export function useAccountUIState(): {
    userToken: null;
    email: null;
    login: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    forgotPassword: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    setPassword: {
        setPasswordTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        verifyResetCodeTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
    };
};
export function useAccountUIActions(): never;
