export const __esModule: boolean;
/**
 * @packageDocumentation
 * @module RegistrationUIContext
 */
/**
 * Implementation of actions for altering the global [[RegistrationUIState]] via [[RegistrationUIActions]] calls.
 * Uses actions injected into the app to make network calls, and then updates the global state accordingly
 * using by dispatching [[RegistrationActions]] to the [[registrationReducer]].
 *
 * @param injectedActions Implementation of network activities.
 * @param dispatch For updating reducer upon completion of network activities.
 */
export function RegistrationActionsCreator(injectedActions: any, dispatch: any): () => {
    loadEULA: (language: any) => Promise<any>;
    requestRegistrationCode: (email: any) => Promise<void>;
    validateUserRegistrationRequest: (validationCode: any, validationEmail: any) => Promise<any>;
    completeRegistration: (userData: any, validationCode: any, validationEmail: any) => Promise<any>;
};
