export const __esModule: boolean;
export const RegistrationActionContext: _react.Context<null>;
export const RegistrationActions: {
    loadEulaReset: () => {
        type: string;
    };
    loadEulaStarted: (transitId: any, language: any) => {
        type: string;
        payload: {
            transitId: any;
            language: any;
        };
    };
    loadEulaSucceeded: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    loadEulaFailed: (transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    requestRegistrationCodeReset: () => {
        type: string;
    };
    requestRegistrationCodeStarted: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    requestRegistrationCodeSucceeded: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    requestRegistrationCodeFailed: (transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    validateUserRegistrationReset: () => {
        type: string;
    };
    validateUserRegistrationStarted: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    validateUserRegistrationSucceeded: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    validateUserRegistrationFailed: (transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    registerUserReset: () => {
        type: string;
    };
    registerUserStarted: (transitId: any) => {
        type: string;
        payload: {
            transitId: any;
        };
    };
    registerUserSucceeded: (transitId: any, email: any, organizationName: any) => {
        type: string;
        payload: {
            transitId: any;
            email: any;
            organizationName: any;
        };
    };
    registerUserFailed: (transitId: any, errorMessage: any) => {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
};
export const RegistrationActionsCreator: (injectedActions: any, dispatch: any) => () => {
    loadEULA: (language: any) => Promise<any>;
    requestRegistrationCode: (email: any) => Promise<void>;
    validateUserRegistrationRequest: (validationCode: any, validationEmail: any) => Promise<any>;
    completeRegistration: (userData: any, validationCode: any, validationEmail: any) => Promise<any>;
};
export const RegistrationStateContext: _react.Context<{
    eulaTransit: {
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    inviteRegistration: {
        codeRequestTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        registrationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        validationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        email: null;
        organizationName: null;
    };
}>;
import _react = require("react");
/**
 * RegistrationStateContext and RegistrationActionContext provide access to global state and actions for registration related information (load EULA, complete registration, etc.).
 *
 * @packageDocumentation
 * @module RegistrationUIContext
 * @internal
 * @preferred
 */
/**
 * Hook for using the global account state for account-related global [[RegistrationUIState]] state changes (i.e. loading EULA, registration via invite).
 *
 * @category Hooks
 */
export function useRegistrationUIState(): {
    eulaTransit: {
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    inviteRegistration: {
        codeRequestTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        registrationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        validationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        email: null;
        organizationName: null;
    };
};
export function useRegistrationUIActions(): never;
