/**
 *  Provides a wrapper for the security state and security actions.
 *
 *  @public
 *  @category Component
 */
export function SecurityContextProvider(props: any): React.FunctionComponentElement<React.ProviderProps<null>>;
/** @ignore */
declare const DispatchContext: React.Context<null>;
/**
 * A hook to get the security state (authenticated / not authenticated).
 *
 * NOTE: Must be used inside of a [[SecurityContextProvider]].
 * @category Hooks
 */
export function useSecurityState(): never;
/**
 * A hook to get the security actions (on authenticated / on not authenticated).
 *
 * NOTE: Must be used inside of a [[SecurityContextProvider]].
 * @category Hooks
 */
export function useSecurityActions(): never;
import React from "react";
export { DispatchContext as SecurityActionContext };
