export default resources;
declare namespace resources {
    namespace translation {
        export namespace ACTIONS {
            const FINISH: string;
            const NEXT: string;
            const BACK: string;
            const CREATE_ACCOUNT: string;
            const OKAY: string;
            const CANCEL: string;
            const CONTINUE: string;
            const DONE: string;
            const LOG_IN: string;
            const LOG_OUT: string;
            const CLICK_BUTTON: string;
            const UPDATE_REDUX: string;
            const CHANGE_LANGUAGE: string;
            const GO_HOME: string;
            const GO_TEST: string;
            const RESEND: string;
            const UPDATE: string;
            const REMEMBER: string;
        }
        export namespace LABELS {
            const EMAIL: string;
            const USERNAME: string;
            const PASSWORD: string;
            const CURRENT_PASSWORD: string;
            const NEW_PASSWORD: string;
            const OPTIONAL: string;
            const FORGOT_PASSWORD: string;
            const NEED_ACCOUNT: string;
            const VIEW_ALL_EVENTS: string;
        }
        export namespace MESSAGES {
            const EMAIL_SENT: string;
            const WELCOME: string;
            const WELCOME_PROJECT: string;
            const LOGIN_MESSAGE: string;
            const CONGRATS: string;
            const CONTACT: string;
            const ERROR: string;
            const EMAIL_ENTRY_ERROR: string;
            const USERNAME_ENTRY_ERROR: string;
            const SUCCESS: string;
            const FAILURE: string;
            const LOADING: string;
            const REQUEST_ERROR: string;
        }
        export namespace REGISTRATION {
            namespace EULA {
                const LOADING_1: string;
                export { LOADING_1 as LOADING };
                export const AGREE_TERMS: string;
            }
            namespace STEPS {
                const CREATE_ACCOUNT_1: string;
                export { CREATE_ACCOUNT_1 as CREATE_ACCOUNT };
                export const VERIFY_EMAIL: string;
                export const LICENSE: string;
                const PASSWORD_1: string;
                export { PASSWORD_1 as PASSWORD };
                export const ACCOUNT_DETAILS: string;
                export const COMPLETE: string;
            }
            namespace INSTRUCTIONS {
                const ACCOUNT_DETAILS_1: string;
                export { ACCOUNT_DETAILS_1 as ACCOUNT_DETAILS };
            }
            const SUCCESS_MESSAGE: string;
            const SUCCESS_MESSAGE_ALT: string;
            const SUCCESS_EXISTING: string;
            const FAILURE_MESSAGE: string;
            const UNKNOWN_EMAIL: string;
            const UNKNOWN_ORGANIZATION: string;
        }
        export namespace SELF_REGISTRATION {
            const INSTRUCTIONS_1: string;
            export { INSTRUCTIONS_1 as INSTRUCTIONS };
            export namespace VERIFY_EMAIL_1 {
                export const MESSAGE: string;
                const RESEND_1: string;
                export { RESEND_1 as RESEND };
                export const VERIFICATION_CODE_PROMPT: string;
                export const VERIFICATION: string;
            }
            export { VERIFY_EMAIL_1 as VERIFY_EMAIL };
        }
        export namespace FORGOT_PASSWORD_1 {
            const ERROR_1: string;
            export { ERROR_1 as ERROR };
            const INSTRUCTIONS_2: string;
            export { INSTRUCTIONS_2 as INSTRUCTIONS };
            export const INSTRUCTIONS_ALT: string;
            export const RESET_CODE_ERROR: string;
            export const LINK_SENT: string;
            export const LINK_SENT_ALT: string;
        }
        export { FORGOT_PASSWORD_1 as FORGOT_PASSWORD };
        export namespace LOGIN {
            const INCORRECT_CREDENTIALS: string;
            const INVALID_CREDENTIALS: string;
            const GENERIC_ERROR: string;
        }
        export namespace FORMS {
            export const FIRST_NAME: string;
            export const LAST_NAME: string;
            export const PHONE_NUMBER: string;
            const PASSWORD_2: string;
            export { PASSWORD_2 as PASSWORD };
            export const CONFIRM_PASSWORD: string;
            export const PASS_MATCH_ERROR: string;
            export const TOGGLE_PASSWORD_VISIBILITY: string;
            export const RESET_PASSWORD: string;
        }
        export namespace PASSWORD_REQUIREMENTS {
            const LENGTH: string;
            const NUMBERS: string;
            const UPPER: string;
            const LOWER: string;
            const SPECIAL: string;
        }
        export namespace PASSWORD_RESET {
            const SUCCESS_MESSAGE_1: string;
            export { SUCCESS_MESSAGE_1 as SUCCESS_MESSAGE };
            const FAILURE_MESSAGE_1: string;
            export { FAILURE_MESSAGE_1 as FAILURE_MESSAGE };
        }
        export namespace USER_SETTINGS {
            export const NAME: string;
            const EMAIL_1: string;
            export { EMAIL_1 as EMAIL };
            const PHONE_NUMBER_1: string;
            export { PHONE_NUMBER_1 as PHONE_NUMBER };
            const PASSWORD_3: string;
            export { PASSWORD_3 as PASSWORD };
            export const EMAIL_NOTIFICATION: string;
            export const ENABLED: string;
            export const ORGANIZATION: string;
            export const ORGANIZATION_NAME: string;
            export const ADDRESS: string;
            export const CHANGE_PASSWORD: string;
            export const ACCOUNT: string;
        }
        export const COUNTER: string;
        export namespace HEADER {
            const FORGOT_PASSWORD_2: string;
            export { FORGOT_PASSWORD_2 as FORGOT_PASSWORD };
        }
        export const ERROR_MESSAGES: {
            '2002': string;
            '9003': string;
        };
        export namespace CHANGE_PASSWORD_1 {
            export const PASSWORD_CHANGED: string;
            const PASSWORD_4: string;
            export { PASSWORD_4 as PASSWORD };
            const SUCCESS_MESSAGE_2: string;
            export { SUCCESS_MESSAGE_2 as SUCCESS_MESSAGE };
            export const EMAIL_CONFIRM_MESSAGE: string;
            export const PASSWORD_INFO: string;
            export const OLD_PASSWORD: string;
            export const ERROR_MESSAGE: string;
            export const PROBLEM_OCCURRED: string;
            export const CONFIRM_NEW_PASSWORD: string;
            const CANCEL_1: string;
            export { CANCEL_1 as CANCEL };
            const UPDATE_1: string;
            export { UPDATE_1 as UPDATE };
        }
        export { CHANGE_PASSWORD_1 as CHANGE_PASSWORD };
        export namespace SETTINGS {
            const TITLE: string;
        }
        export namespace LEGAL {
            const TITLE_1: string;
            export { TITLE_1 as TITLE };
            export const TERMSANDCONDITIONS: string;
            const EULA_1: string;
            export { EULA_1 as EULA };
            export const OPENSOURCELICENSES: string;
        }
        export namespace USER_MENU {
            const LOG_OUT_1: string;
            export { LOG_OUT_1 as LOG_OUT };
            export const CONTACT_US: string;
            export const ACCOUNT_SETTING: string;
        }
        export namespace CONTACT_SUPPORT {
            const GENERAL_QUESTIONS: string;
            const SUPPORT_MESSAGE: string;
            const EMERGENCY_SUPPORT: string;
            const TECHNICAL_ASSISTANCE: string;
        }
    }
}
